using CanYouBuildIt.Model;
using System.Diagnostics;

namespace CanYouBuildIt.Views;

public partial class Acceuil : ContentPage
{
	public Manager manager=> (App.Current as App).manager;
	public Acceuil()
	{
		InitializeComponent();
        BindingContext = manager;
    }

	private void AddUtilisater(object sender, EventArgs e)
	{
		Utilisateur utilisateur = new Utilisateur("Util1","pdm1");
		Debug.WriteLine("Utilisateur créé");
	}

    private async void NavFav(object sender, EventArgs e)
    {
        await Navigation.PushAsync(new Favoris());
    }

    private async void NavCreds(object sender, EventArgs e)
    {
        await Navigation.PushAsync(new Credits());
    }
    
    private void ToQuit(object sender, EventArgs e)
    {
        App.Current.Quit();
    }
}